# $Revision: 1.16 $, $Date: 2010/05/29 15:19:06 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	A library for generating Enhanced Metafiles
Summary(pl.UTF-8):	Biblioteka do generowania plików w formacie Enhanced Metafile
Name:		libEMF
Version:	1.0.4
Release:	1
License:	LGPL/GPL
Group:		Libraries
#Source0:	http://dl.sourceforge.net/libemf/%{name}-%{version}.tar.gz
Source0:	http://dl.sourceforge.net/pstoedit/%{name}-%{version}.tar.gz
# Source0-md5:	4e74e5ee5fdab37bae8be6cde4d1c57c
Patch0:		%{name}-amd64.patch
Patch1:		%{name}-limits.patch
URL:		http://libemf.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libstdc++-devel >= 5:3.0
BuildRequires:	libtool >= 2:1.4d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libEMF is a library for generating Enhanced Metafiles on systems which
don't natively support the ECMA-234 Graphics Device Interface
(GDI). The library is intended to be used as a driver for other
graphics programs such as Grace or gnuplot. Therefore, it implements a
very limited subset of the GDI.

%description -l pl.UTF-8
libEMF to biblioteka do generowania plików w formacie Enhanced
Metafile na systemach nie obsługujących natywnie systemu graficznego
ECMA-234 GDI. Biblioteka ma służyć jako sterownik dla innych programów
graficznych, takich jak Grace czy gnuplot. Z tego powodu ma
zaimplementowany bardzo ograniczony podzbiór GDI.

%package devel
Summary:	libEMF header files
Summary(pl.UTF-8):	Pliki nagłówkowe libEMF
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
libEMF header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe libEMF.

%package static
Summary:	libEMF static library
Summary(pl.UTF-8):	Statyczna biblioteka libEMF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libEMF static library.

%description static -l pl.UTF-8
Statyczna biblioteka libEMF.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
# supplied libtool is broken (no C++ libraries support)
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-editing \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/printemf
%attr(755,root,root) %{_libdir}/libEMF.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libEMF.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/html
%attr(755,root,root) %{_libdir}/libEMF.so
%{_libdir}/libEMF.la
%{_includedir}/libEMF

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libEMF.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libEMF.spec,v $
Revision 1.16  2010/05/29 15:19:06  gotar
- upgraded to 1.0.4

Revision 1.15  2009/05/15 18:19:21  megabajt
- release 2

Revision 1.14  2009/05/15 13:19:40  megabajt
- more verbose files

Revision 1.13  2008/09/22 14:29:41  witekfl
- added the limits.patch

Revision 1.12  2007-07-23 17:29:50  witekfl
- added missing #

Revision 1.11  2007/07/22 08:43:33  witekfl
- added bcond_without static_libs

Revision 1.10  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.8  2006/01/28 13:36:27  qboosh
- updated to 1.0.3, removed obsolete gcc3 patch, updated amd64 patch

Revision 1.7  2004/01/22 13:44:00  jajcus
- Release: 2
- AMD64 fixes

Revision 1.6  2003/06/17 09:58:15  qboosh
- gcc 3.x STL required

Revision 1.5  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:49:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/21 18:08:01  qboosh
- -devel R: libstdc++-devel

Revision 1.2  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.1  2002/12/20 22:35:46  qboosh
- new, with patch for gcc 3.1+ STL
